Subject: Koutline: export to HTML, replace-regexp-in-string: Invalid use of‘\’ in replacement text

From: Jean Louis <[email-masked]>
Date: Fri, 06 Nov 2020 19:26:39 +0300

Before I could export, now I cannot with emacs -Q:

After asking me for the Koutline file, and export file name and title,
after pressing RET I get:

replace-regexp-in-string: Invalid use of ‘\’ in replacement text

Debugger entered--Lisp error: (error "Invalid use of ‘\\’ in replacement text")
  replace-match("<I>\\0</I>" nil nil "{C-c C-l ?}" nil)
  replace-regexp-in-string("{[^}]+}" "<I>\\0</I>" "Autonumbering: Full auto-numbering in Augment (1a2..." nil nil)
  hypb:replace-match-string("{[^}]+}" "Autonumbering: Full auto-numbering in Augment (1a2..." "<I>\\0</I>")
  #f(compiled-function (elt) #<bytecode 0x3d3b66784765229>)(("{[^}]+}" . "<I>\\0</I>"))
  mapc(#f(compiled-function (elt) #<bytecode 0x3d3b66784765229>) (("<" . "&lt;") (">" . "&gt;") ("{[^}]+}" . "<I>\\0</I>") ("<?\\(URL[:=]\\)?\\(\\([a-zA-Z][a-zA-Z]+\\)://?/?\\([^/:@..." . kexport:html-url) ("<?\\(URL:\\|[^/@]\\|\\`\\|\"\\)\\(\\(\\)\\(\\)\\(\\(www\\|ftp\\|te..." . kexport:html-url) ("\\([_a-zA-Z][-_a-zA-Z0-9.!@+%]*@[-_a-zA-Z0-9.!@+%]+..." . "<A HREF=\"mailto:\\1\"><I>\\1</I></A>\\2") ("&lt;\\s-*@\\s-*[0-9a-zA-Z][.0-9a-zA-Z]*=\\([.0-9a-zA-..." . "<A HREF=\"#k\\1\">\\0</A>") ("&lt;\\s-*@\\s-*\\(\\([0-9a-zA-Z][.0-9a-zA-Z]*\\)\\)[^=&>..." . "<A HREF=\"#k\\1\">\\0</A>") ("&lt;\\s-*\\([^ \11\n\15,<>]+\\)\\s-*,\\s-*[0-9a-zA-Z][.0-9a-..." . kexport:html-file-klink) ("&lt;\\s-*\\([^ \11\n\15,<>]+\\)\\s-*,\\s-*\\([0-9a-zA-Z][.0-9..." . kexport:html-file-klink)))
  kexport:html-markup("Autonumbering: Full auto-numbering in Augment (1a2...")
  #f(compiled-function (kview) #<bytecode -0x14b610fa7eb92e2d>)((kview plist (label-parent klabel:parent-alpha label-increment klabel:increment-alpha label-child klabel:child-alpha label-function klabel-type:alpha-label view-buffer #<buffer EXAMPLE.kotl> top-cell (knode contents nil plist (idstamp 0 creator "[email-masked]" create-time "20201106:16:25:29" id-counter 77 file "/home/data1/protected/EXAMPLE.kotl")) label-type alpha label-min-width 3 label-separator ". " label-separator-length 2 level-indent 3 blank-lines t levels-to-show 0 lines-to-show 0)))
  kview:map-tree(#f(compiled-function (kview) #<bytecode -0x14b610fa7eb92e2d>) (kview plist (label-parent klabel:parent-alpha label-increment klabel:increment-alpha label-child klabel:child-alpha label-function klabel-type:alpha-label view-buffer #<buffer EXAMPLE.kotl> top-cell (knode contents nil plist (idstamp 0 creator "[email-masked]" create-time "20201106:16:25:29" id-counter 77 file "/home/data1/protected/EXAMPLE.kotl")) label-type alpha label-min-width 3 label-separator ". " label-separator-length 2 level-indent 3 blank-lines t levels-to-show 0 lines-to-show 0)) t t)
  kexport:html("~/EXAMPLE.kotl" "~/new.html" nil)
  funcall-interactively(kexport:html "~/EXAMPLE.kotl" "~/new.html" nil)
  call-interactively(kexport:html nil nil)
  command-execute(kexport:html)

I use:  Editor:      GNU Emacs 28.0.50 (build 26, x86_64-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)

        Hyperbole:   7.1.3
        Sys Type:    x86_64-pc-linux-gnu
        OS Type:     gnu/linux
        Window Sys:  x
        News Reader: Gnus v5.13

-- 
Thanks,
Jean Louis
⎔ λ 🄯 𝍄 𝌡 𝌚